Summary:	Skew memory allocations to avoit aliasing problems in modern cpus
Name:		cpublaster
Version:	0.10
Release:	1
License:	GPLv3
Group:		Applications/System
Source:		http://kernel.embedromix.ro/us/%{name}/%{name}-%{version}.tar.gz
URL:		http://kernel.embedromix.ro/us/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gcc, make

%description
It uses LD_PRELOAD to manipulate memory allocations. Environment variables
can be used to control in what way you want to skew the allocations.

%prep
%setup -q

%build
%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%attr (-,root,root)
%{_libdir}/*
%doc README LICENSE Changelog TODO

%changelog
* Mon Aug 22 2011 Catalin(ux) M. BOIE <catab at embedromix dot ro> 0.1
First version.
